/*
    This file is part of "now", a simple calendar tool
    Copyright (C) 2012-2019  Laurent Poirrier

    "now" is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef CONFIG_H
#define CONFIG_H
#include <stdint.h>
#include <stdlib.h>

typedef struct config_entry_t {
	char *id;
	size_t id_len;
	char *value;
	size_t value_len;
} config_entry;

typedef struct config_t {
	size_t len;
	char *data;
	
	int n;
	config_entry *e;
} config;

void config_init(config *cfg);
void config_clear(config *cfg);

int config_parse_str(config *cfg, char *str, char sep, char eq);
int config_parse(config *cfg, char *cfg_path);

char *config_get(config *cfg, char *id, char *dflt);
int config_get_int(config *cfg, char *id, int dflt);
int config_get_bool(config *cfg, char *id, int dflt);
int config_get_weekday(config *cfg, char *id, int dflt);
int config_get_choice(config *cfg, char *id, int dflt, int p, ...);


// string chopping
size_t unescape(char *str, size_t len);
int chop(char **str, size_t *len, char sep, char **sub_str, size_t *sub_len);


#endif

