/*
    This file is part of "now", a simple calendar tool
    Copyright (C) 2012-2019  Laurent Poirrier

    "now" is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef LOG_H
#define LOG_H


typedef struct log_t {
	int n;
	char **lines;
} log;

void log_init(log *l);
void log_clear(log *l);

void log_appendf(log *l, char *format, ...);
void log_prependf(log *l, char *format, ...);
void log_modif(log *l, int i, char *format, ...);

void log_crop(log *l, int n);

#endif

