/*
    This file is part of "now", a simple calendar tool
    Copyright (C) 2012-2019  Laurent Poirrier

    "now" is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef TABLE_H
#define TABLE_H

typedef struct cell_t {
	int x, y, width, height;
} cell;

typedef struct table_t {
	int width, height;
	
	cell *data;
	cell **elem;
} table;

void table_init(table *a, int width, int height);
void table_clear(table *a);

void table_fit(table *a, int sx, int sy, int sw, int sh);

#endif

