/*
    This file is part of "now", a simple calendar tool
    Copyright (C) 2012-2019  Laurent Poirrier

    "now" is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef COLOR_THEME_H
#define COLOR_THEME_H
#include "config.h"
#include "screen.h"
#include "color.h"

enum theme_component_t {
	T_UI_BKG,
	T_UI_TOPLINE,
	T_UI_BOTTOMLINE,
	T_UI_DAYLINE,
	T_UI_DAYLINE_MARK,
	T_UI_DAYLINE_SEL,
	T_UI_DAYLINE_MARK_SEL,
	T_UI_EVENT,
	T_UI_EVENT_MARK,
	T_UI_EVENT_SEL,
	T_UI_EVENT_MARK_SEL,
	T_UI_EVENT_LAST_MOD,
	T_EV_BKG,
	T_EV_EDITABLE,
	T_SR_BKG,
	T_SR_TITLE,
	T_SR_SEL,
	
	T_COMPONENTS
};

typedef struct theme_t {
	screen_flags comp[T_COMPONENTS];
} theme;

void theme_init(theme *th);
void theme_clear(theme *th);

void theme_config(theme *th, config *cfg);


#endif

