/*
    This file is part of "now", a simple calendar tool
    Copyright (C) 2012-2019  Laurent Poirrier

    "now" is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef UTF8_H
#define UTF8_H
#include <stdint.h>
#include <stdlib.h>

typedef uint32_t	utf8_code;

size_t utf8_bytes(char *s);
size_t utf8_full(char *s, size_t b);
utf8_code utf8_encode(char *s);

size_t utf8_strlen(char *s);

size_t utf8_extract(utf8_code *dst, char *src, size_t lmax);
size_t utf8_render(char *dst, utf8_code *src, size_t l);

#define UTF8_RENDER_MAX	6

#endif

